
Figure - Bug #117737
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.documentsui（2）
2023-05-04 10:58 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-05

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 25000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.documentsui (pid 31513)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.String

com.android.documentsui.dirlist.DocumentHolder.getModelId()' on a null object reference

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3052:user/test-keys

// Build Changelist: 3052

// Build Time: 1682619940000

// java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.String

com.android.documentsui.dirlist.DocumentHolder.getModelId()' on a null object reference

//     at com.android.documentsui.FocusManager.getFocusModelId(FocusManager.java:239)

//     at com.android.documentsui.files.ActionHandler.getSelectedOrFocused(ActionHandler.java:233)

//     at com.android.documentsui.files.ActionHandler.showDeleteDialog(ActionHandler.java:301)

//     at com.android.documentsui.files.FilesActivity$$ExternalSyntheticLambda6.run(Unknown Source:2)

//     at com.android.documentsui.files.ActivityInputHandler.onKeyDown(ActivityInputHandler.java:35)

//     at com.android.documentsui.files.FilesActivity.onKeyDown(FilesActivity.java:375)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2854)

//     at android.app.Activity.dispatchKeyEvent(Activity.java:4204)

//     at androidx.core.app.ComponentActivity.superDispatchKeyEvent(ComponentActivity.java:122)

//     at androidx.core.view.KeyEventDispatcher.dispatchKeyEvent(KeyEventDispatcher.java:84)

//     at androidx.core.app.ComponentActivity.dispatchKeyEvent(ComponentActivity.java:140)

//     at androidx.appcompat.app.AppCompatActivity.dispatchKeyEvent(AppCompatActivity.java:599)

//     at com.android.documentsui.BaseActivity.dispatchKeyEvent(BaseActivity.java:892)

//     at androidx.appcompat.view.WindowCallbackWrapper.dispatchKeyEvent(WindowCallbackWrapper.java:59)

//     at

androidx.appcompat.app.AppCompatDelegateImpl$AppCompatWindowCallback.dispatchKeyEvent(AppCompatDelegateImpl.java:3058)

//     at androidx.appcompat.view.WindowCallbackWrapper.dispatchKeyEvent(WindowCallbackWrapper.java:59)

//     at com.android.internal.policy.DecorView.dispatchKeyEvent(DecorView.java:418)
//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5862)

//     at android.view.ViewRootImpl$ImeInputStage.onFinishedInputEvent(ViewRootImpl.java:6020)

//     at android.view.inputmethod.InputMethodManager$PendingEvent.run(InputMethodManager.java:3158)

//     at android.view.inputmethod.InputMethodManager.invokeFinishedInputEventCallback(InputMethodManager.java:2722)

//     at android.view.inputmethod.InputMethodManager.finishedInputEvent(InputMethodManager.java:2713)

//     at android.view.inputmethod.InputMethodManager$ImeInputEventSender.onInputEventFinished(InputMethodManager.java:3135)

//     at android.view.InputEventSender.dispatchInputEventFinished(InputEventSender.java:154)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-05-04 11:10 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-05-04 11:35 - CD TEST-方永红

- Severity changed from Normal to Critical

#3 - 2023-05-04 14:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197351 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:DocumentsUI:Fixed monkey crashTC-RID: 1201-0300801IssueID: TS-R-BUG-117737Change-Id: I00a57b27f012205cea66215c15a7c76bdcc714ab
#4 - 2023-05-04 14:10 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-05

- Root cause set to AOSP问题

■ Current conclusion

已提交

■ My analysis

做非空处理

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/197351

#5 - 2023-05-08 17:22 - CD TEST-方永红

5.8

0095（带开机动画版）未复现

#6 - 2023-05-12 17:55 - CD TEST-方永红

5.12

0098及0099未复现

先关闭

#7 - 2023-05-12 17:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-05-12 17:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error(6).txt 393 KB 2023-05-04 CD TEST-方永红

tlog_f22f620e_000182_0503214459.tar.gz 18 MB 2023-05-04 CD TEST-方永红
